Skip to main content
`Ctrl`+`K`

# PetscSpace

PETSc object that manages a linear space, e.g. the space of d-dimensional polynomials of given degree

## Synopsis

    typedef struct _p_PetscSpace *PetscSpace;

## See Also

`PetscSpaceCreate()`, `PetscDualSpace`, `PetscDualSpaceCreate()`, `PetscSpaceSetType()`, `PetscSpaceType`, `PetscFE`

## Level

beginner

## Location

include/petscspace.h

## Implementations

_p_PetscSpace in include/petsc/private/petscfeimpl.h
PetscSpace_Poly in include/petsc/private/petscfeimpl.h
PetscSpace_Ptrimmed in include/petsc/private/petscfeimpl.h
PetscSpace_Tensor in include/petsc/private/petscfeimpl.h
PetscSpace_Sum in include/petsc/private/petscfeimpl.h
PetscSpace_Point in include/petsc/private/petscfeimpl.h
PetscSpace_WXY in include/petsc/private/petscfeimpl.h
PetscSpace_Subspace in src/dm/dt/space/impls/subspace/spacesubspace.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages